Subject: RE: How is SPF different from RMX?

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 2 Aug 2004 18:25:38 -0700

> > I think you follow Nanog, and the recent lawsuit filed over 
> renumbering.  
> > Plaintiff claimed they didn't have enough time to renumber. 
> 
> What does one stupid company after themselve creating 
> situation where they 
> forced their biggest client out and then wanting to hurt 
> their former client
> as much as possible, but can't because of court order, and now crying 
> "wolf" (did they look at the mirror?) in public has anything 
> to do with 
> standards for renumbering?

I took a look at the NANOG list archives. William is putting it
very mildly here. 

This related to a pleading for a Temporary Restraining Order
to protect the customer of the ISP for a short period of time
in order to allow them to perform an orderly transition. 

> its 
> matter of proper scripting.

Or you tell your users to use smtp.example.com as the address
for outgoing email service. Then you write an SPF rule to state
that the address smtp.example.com maps to is a legitimate 
address.

Job done now and forever.

> > Also, UUnet gives 6 months standard to return address 
> space--personal 
> > experience. Specific enough?
> 
> UUNET gives 12 months or more to renumber. ARIN gives 12 
> months to renumber
> Other ISPs have their own standards (usually less then 12 
> month). European
> people said their "unpublished" standards is up to 6 months 
> AFTER client 
> already left that they can continue to use old ip addresses 
> and renumber.

There is a big interest in making this easy since otherwise it
would create a perverse incentive for folk going out to get
their own allocations in order to protect themselves from abuse 
by their ISP.

		Phill

---

From: Dean Anderson <[email-masked]>
Date: Tue, 3 Aug 2004 19:19:34 -0400 (EDT)

On Mon, 2 Aug 2004, Hallam-Baker, Phillip wrote:

> 
> > > I think you follow Nanog, and the recent lawsuit filed ove
> > > renumbering.  Plaintiff claimed they didn't have enough time to
> > > renumber.
> > 
> > What does one stupid company after themselve creating situation where
> > they forced their biggest client out and then wanting to hurt their
> > former client as much as possible, but can't because of court order,
> > and now crying "wolf" (did they look at the mirror?) in public has
> > anything to do with standards for renumbering?
> 

My apologies. Everyting that is obvious to me isn't obvious to everyone.  
Plainly, if you have more things to migrate, it will take longer to
migrate, and thus it will take longer to renumber, and you will have more
lawsuits and/or ISP will be forced to provide more time to renumber.  This 
reduces the amount of IP Address space that is available since a greater 
amount of space is in transition longer and thus can't be used.

> Job done now and forever.

Or you just reject Sender-ID and keep the renumbering problem the same as 
it is. Now and forever.

---

From: "william(at)elan.net" <[email-masked]>
Date: Tue, 3 Aug 2004 20:13:24 -0700 (PDT)

> My apologies. Everyting that is obvious to me isn't obvious to everyone.  

I suspect many here who are not subscribed to main and some other ietf 
lists can't imagine how much this sentence is applicable in reverse 
(replace "is" with "isnt" and other way around) to many of the posts
I've seen from Dean Anderson.

Sorry for OT and of course "My apologies"

P.S. For the future lets not use "everything" and "obvious" in statements
or even just in same sentence. There would not be so many discussions
on this list if everything was so obvious :)

---
William Leibzon
Elan Networks
[email-masked]

---

From: Dean Anderson <[email-masked]>
Date: Fri, 6 Aug 2004 11:57:00 -0400 (EDT)

Yes, William and I frequently disagree. The subsequent history of these
disagreements has proven me right and William wrong in nearly every case.

Frequently, the commonly held beliefs aren't true. In consequence, I don't
uncritically accept that what someone else claims is true. I analyze their
claims.  And my record on anti-spam claims is pretty good.  In fact, on
nearly all (maybe all) of the mistakes by Anti-spammers, I correctly
analyzed it and found it to be foolhardy when it was __proposed__.  
Subsequent experiences with those mistakes bore out my analysis: They
worked or failed to work more or less as I expected. And this goes all the
way back to the diconnection of Sanford Wallace and the collapse of the
IEMCC.

So, while William tries weakly to launch an ad-hominem attack, the truth
is that my credibility is enhanced by having a history of having been
proven right with regard to past stupid ideas proposed and executed by
anti-spammers.

		--Dean